=== modified file 'drizzled/handler.cc'
--- drizzled/handler.cc	2008-12-06 07:22:02 +0000
+++ drizzled/handler.cc	2008-12-06 08:19:28 +0000
@@ -4220,9 +4220,9 @@
     plugin_foreach(NULL, exts_handlerton,
                    DRIZZLE_STORAGE_ENGINE_PLUGIN, &found_exts);
 
-    ext= (const char **) my_once_alloc(sizeof(char *)*
-                                       (found_exts.elements+1),
-                                       MYF(MY_WME | MY_FAE));
+    ext= (const char **) malloc(sizeof(char *)*
+                                (found_exts.elements+1));
+                              
 
     assert(ext != 0);
     known_extensions.count= found_exts.elements;

=== modified file 'mysys/Makefile.am'
--- mysys/Makefile.am	2008-12-05 20:12:25 +0000
+++ mysys/Makefile.am	2008-12-06 08:19:28 +0000
@@ -56,7 +56,7 @@
 			my_write.cc \
 			mf_iocache.cc mf_iocache2.cc mf_cache.cc mf_tempfile.cc \
 			mf_tempdir.cc \
-			my_malloc.cc my_realloc.cc my_once.cc mulalloc.cc \
+			my_malloc.cc my_realloc.cc mulalloc.cc \
 			my_alloc.cc \
 			my_fopen.cc my_fstream.cc my_getsystime.cc \
 			my_error.cc errors.cc my_filename.cc my_messnc.cc \

=== modified file 'mysys/charset.cc'
--- mysys/charset.cc	2008-12-02 08:56:16 +0000
+++ mysys/charset.cc	2008-12-06 08:19:28 +0000
@@ -58,10 +58,10 @@
   unsigned char *state_map;
   unsigned char *ident_map;
 
-  if (!(cs->state_map= (unsigned char*) my_once_alloc(256, MYF(MY_WME))))
+  if (!(cs->state_map= (unsigned char*) malloc(256)))
     return 1;
     
-  if (!(cs->ident_map= (unsigned char*) my_once_alloc(256, MYF(MY_WME))))
+  if (!(cs->ident_map= (unsigned char*) malloc(256)))
     return 1;
 
   state_map= cs->state_map;
@@ -153,7 +153,7 @@
 
 void *cs_alloc(size_t size)
 {
-  return my_once_alloc(size, MYF(MY_WME));
+  return malloc(size);
 }
 
 

=== modified file 'mysys/my_alloc.cc'
--- mysys/my_alloc.cc	2008-11-07 00:35:38 +0000
+++ mysys/my_alloc.cc	2008-12-06 08:19:28 +0000
@@ -52,19 +52,6 @@
   mem_root->block_num= 4;			/* We shift this with >>2 */
   mem_root->first_block_usage= 0;
 
-#if !(defined(HAVE_purify) && defined(EXTRA_DEBUG))
-  if (pre_alloc_size)
-  {
-    if ((mem_root->free= mem_root->pre_alloc=
-	 (USED_MEM*) my_malloc(pre_alloc_size+ ALIGN_SIZE(sizeof(USED_MEM)),
-			       MYF(0))))
-    {
-      mem_root->free->size= pre_alloc_size+ALIGN_SIZE(sizeof(USED_MEM));
-      mem_root->free->left= pre_alloc_size;
-      mem_root->free->next= 0;
-    }
-  }
-#endif
   return;
 }
 
@@ -122,7 +109,7 @@
           prev= &mem->next;
       }
       /* Allocate new prealloc block and add it to the end of free list */
-      if ((mem= (USED_MEM *) my_malloc(size, MYF(0))))
+      if ((mem= (USED_MEM *) malloc(size)))
       {
         mem->size= size; 
         mem->left= pre_alloc_size;
@@ -143,23 +130,6 @@
 
 void *alloc_root(MEM_ROOT *mem_root, size_t length)
 {
-#if defined(HAVE_purify) && defined(EXTRA_DEBUG)
-  register USED_MEM *next;
-
-  assert(alloc_root_inited(mem_root));
-
-  length+=ALIGN_SIZE(sizeof(USED_MEM));
-  if (!(next = (USED_MEM*) my_malloc(length,MYF(MY_WME | ME_FATALERROR))))
-  {
-    if (mem_root->error_handler)
-      (*mem_root->error_handler)();
-    return((unsigned char*) 0);			/* purecov: inspected */
-  }
-  next->next= mem_root->used;
-  next->size= length;
-  mem_root->used= next;
-  return((unsigned char*) (((char*) next)+ALIGN_SIZE(sizeof(USED_MEM))));
-#else
   size_t get_size, block_size;
   unsigned char* point;
   register USED_MEM *next= 0;
@@ -188,7 +158,7 @@
     get_size= length+ALIGN_SIZE(sizeof(USED_MEM));
     get_size= cmax(get_size, block_size);
 
-    if (!(next = (USED_MEM*) my_malloc(get_size,MYF(MY_WME | ME_FATALERROR))))
+    if (!(next = (USED_MEM*) malloc(get_size)))
     {
       if (mem_root->error_handler)
 	(*mem_root->error_handler)();
@@ -211,7 +181,6 @@
     mem_root->first_block_usage= 0;
   }
   return((void*) point);
-#endif
 }
 
 

=== modified file 'mysys/my_init.cc'
--- mysys/my_init.cc	2008-12-01 17:53:42 +0000
+++ mysys/my_init.cc	2008-12-06 08:19:28 +0000
@@ -110,7 +110,6 @@
   }
   free_charsets();
   my_error_unregister_all();
-  my_once_free();
 
   if ((infoflag & MY_GIVE_INFO) || print_info)
   {

=== removed file 'mysys/my_once.cc'
--- mysys/my_once.cc	2008-11-07 00:35:38 +0000
+++ mysys/my_once.cc	1970-01-01 00:00:00 +0000
@@ -1,113 +0,0 @@
-/* Copyright (C) 2000 MySQL AB
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; version 2 of the License.
-
-   This program is distributed in the hope that it will be useful,
-   but WITHOUT ANY WARRANTY; without even the implied warranty of
-   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-   GNU General Public License for more details.
-
-   You should have received a copy of the GNU General Public License
-   along with this program; if not, write to the Free Software
-   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
-
-/* Not MT-SAFE */
-
-#include "mysys_priv.h"
-#include "my_static.h"
-#include "mysys_err.h"
-#include <mystrings/m_string.h>
-
-/*
-  Alloc for things we don't nead to free
-
-  SYNOPSIS
-    my_once_alloc()
-      Size
-      MyFlags
-*/
-
-void* my_once_alloc(size_t Size, myf MyFlags)
-{
-  size_t get_size, max_left;
-  unsigned char* point;
-  register USED_MEM *next;
-  register USED_MEM **prev;
-
-  Size= ALIGN_SIZE(Size);
-  prev= &my_once_root_block;
-  max_left=0;
-  for (next=my_once_root_block ; next && next->left < Size ; next= next->next)
-  {
-    if (next->left > max_left)
-      max_left=next->left;
-    prev= &next->next;
-  }
-  if (! next)
-  {						/* Time to alloc new block */
-    get_size= Size+ALIGN_SIZE(sizeof(USED_MEM));
-    if (max_left*4 < my_once_extra && get_size < my_once_extra)
-      get_size=my_once_extra;			/* Normal alloc */
-
-    if ((next = (USED_MEM*) malloc(get_size)) == 0)
-    {
-      my_errno=errno;
-      if (MyFlags & (MY_FAE+MY_WME))
-	my_error(EE_OUTOFMEMORY, MYF(ME_BELL+ME_WAITTANG),get_size);
-      return((unsigned char*) 0);
-    }
-    next->next= 0;
-    next->size= get_size;
-    next->left= get_size-ALIGN_SIZE(sizeof(USED_MEM));
-    *prev=next;
-  }
-  point= (unsigned char*) ((char*) next+ (next->size-next->left));
-  next->left-= Size;
-
-  if (MyFlags & MY_ZEROFILL)
-    memset(point, 0, Size);
-  return((void*) point);
-} /* my_once_alloc */
-
-
-char *my_once_strdup(const char *src,myf myflags)
-{
-  size_t len= strlen(src)+1;
-  void *dst= my_once_alloc(len, myflags);
-  if (dst)
-    memcpy(dst, src, len);
-  return (char*) dst;
-}
-
-
-void *my_once_memdup(const void *src, size_t len, myf myflags)
-{
-  void *dst= my_once_alloc(len, myflags);
-  if (dst)
-    memcpy(dst, src, len);
-  return dst;
-}
-
-
-/*
-  Deallocate everything used by my_once_alloc
-
-  SYNOPSIS
-    my_once_free()
-*/
-
-void my_once_free(void)
-{
-  register USED_MEM *next,*old;
-
-  for (next=my_once_root_block ; next ; )
-  {
-    old=next; next= next->next ;
-    free((unsigned char*) old);
-  }
-  my_once_root_block=0;
-
-  return;
-} /* my_once_free */

=== modified file 'mysys/my_static.cc'
--- mysys/my_static.cc	2008-12-01 17:53:42 +0000
+++ mysys/my_static.cc	2008-12-06 08:19:28 +0000
@@ -51,10 +51,6 @@
 				/* :::::::::::::::::::::::::: */
 const char *soundex_map=	  "01230120022455012623010202";
 
-	/* from my_malloc */
-USED_MEM* my_once_root_block=0;			/* pointer to first block */
-uint	  my_once_extra=ONCE_ALLOC_INIT;	/* Memory to alloc / block */
-
 	/* from safe_malloc */
 uint32_t sf_malloc_prehunc=0,		/* If you have problem with core- */
      sf_malloc_endhunc=0,		/* dump when malloc-message.... */

=== modified file 'mysys/my_static.h'
--- mysys/my_static.h	2008-10-06 05:57:49 +0000
+++ mysys/my_static.h	2008-12-06 08:19:28 +0000
@@ -60,9 +60,6 @@
 
 extern const char *soundex_map;
 
-extern USED_MEM* my_once_root_block;
-extern uint	 my_once_extra;
-
 extern unsigned char	*sf_min_adress,*sf_max_adress;
 extern uint	sf_malloc_count;
 extern struct st_irem *sf_malloc_root;

=== modified file 'mysys/my_sys.h'
--- mysys/my_sys.h	2008-12-06 07:27:24 +0000
+++ mysys/my_sys.h	2008-12-06 08:19:28 +0000
@@ -335,10 +335,6 @@
 
 extern int my_copy(const char *from,const char *to,myf MyFlags);
 extern int my_delete(const char *name,myf MyFlags);
-extern void *my_once_alloc(size_t Size,myf MyFlags);
-extern void my_once_free(void);
-extern char *my_once_strdup(const char *src,myf myflags);
-extern void *my_once_memdup(const void *src, size_t len, myf myflags);
 extern File my_open(const char *FileName,int Flags,myf MyFlags);
 extern File my_register_filename(File fd, const char *FileName,
 				 enum file_type type_of_file,

